@keyframes slideUp {
    to {
        transform: translateY(-50%) translateZ(0);
    }
}
@keyframes slideDown {
    0% {
        transform: translateY(-50%) translateZ(0);
    }
    to {
        transform: translateY(0) translateZ(0);
    }
}
html {
    height: 100%;
}

.footerMainPage {
    background-color: #fff;
}

.main-slider {
    overflow: hidden;
    max-height: calc(100vh - 75px);
    padding: 0 58px 0 58px;
    background-color: #F8F8F8;
}
@media screen and (max-width: 960px) and (min-width: 576px) {
    .main-slider {
        max-height: calc(100vh + 200px);
    }
}
.main-slider:not(.mobile) .slider .slider-inline:hover .slider-col .inner, .main-slider:not(.mobile) .slider .slider-inline:hover .slider-col .inner_rep {
    -webkit-animation-play-state: paused;
    -moz-animation-play-state: paused;
    -o-animation-play-state: paused;
    animation-play-state: paused;
}
@media screen and (max-width: 1024px) {
    .main-slider {
        padding: 0 20px 0 20px;
    }
}
@media screen and (max-width: 575px) {
    .main-slider {
        padding: 0 10px 0 10px;
    }
}
.main-slider.animate-pause .slider .slider-inline .slider-col .inner {
    -webkit-animation-play-state: paused;
    -moz-animation-play-state: paused;
    -o-animation-play-state: paused;
    animation-play-state: paused;
}
.main-slider .slider {
    height: calc(150vh - 90px);
    backface-visibility: hidden;
    will-change: transform;
    overflow-y: hidden;
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    grid-gap: 18px;
    position: relative;
}
@media screen and (max-width: 1024px) {
    .main-slider .slider {
        grid-template-columns: repeat(2, 1fr);
    }
}
@media screen and (max-width: 575px) {
    .main-slider .slider {
        grid-gap: 10px;
    }
}
.main-slider .slider #video-content {
    display: none;
    grid-column: 2/-1;
    background-color: #E7E7E7;
    height: calc(100vh - 75px);
    position: absolute;
    z-index: 1;
    right: 0;
    left: 0;
    align-items: center;
    justify-content: center;
}
.main-slider .slider #video-content.active-video {
    display: inline-flex;
}
.main-slider .slider #video-content.active-video .video-play {
    padding: 20px;
    height: 100%;
    position: relative;
    z-index: 8;
}
.main-slider .slider #video-content.active-video .video-play video {
    height: 100%;
    max-width: 100%;
    width: auto;
}
.main-slider .slider #video-content.active-video .video-play .video-close {
    position: absolute;
    top: 10px;
    right: 20px;
    cursor: pointer;
    z-index: 9;
    padding: 20px;
    font-size: 2rem;
    /*text-shadow: 1px 1px #acacac;*/
    color: #ddd;
}
.main-slider .slider .slider-inline {
    width: 100%;
    position: relative;
    z-index: -1;
}
.main-slider .slider .slider-inline:nth-child(odd) .inner {
    /*animation: slideUp 110s linear infinite;*/
}
.main-slider .slider .slider-inline:nth-child(2n) .inner {
    /*animation: slideDown 110s linear infinite;*/
}
.main-slider .slider .slider-inline .slider-col {
    width: 100%;
    overflow: hidden;
}
.main-slider .slider .slider-inline .slider-col .inner .slider-video {
    position: relative;
}
.main-slider .slider .slider-inline .slider-col .inner .slider-video .modal-instance {
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    position: absolute;
    z-index: 99;
}
.main-slider .slider .slider-inline .slider-col .inner .slider-video .modal-instance a {
    position: absolute;
    width: 100%;
    height: 100%;
    display: block;
    left: 0;
    top: 0;
    font-size: 3rem;
    color: #fff;
    font-weight: 700;
}
.main-slider .slider .slider-inline .slider-col .inner .slider-video .slider-video-wrapper {
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    position: absolute;
    z-index: 99;
}
.main-slider .slider .slider-inline .slider-col .inner .slider-video .slider-video-wrapper .slider-video-area {
    display: none;
}
.main-slider .slider .slider-inline .slider-col .inner .slider-video .slider-video-wrapper span {
    position: absolute;
    width: 100%;
    height: 100%;
    display: block;
    left: 0;
    top: 0;
    font-size: 3rem;
    color: #fff;
    font-weight: 700;
    cursor: pointer;
}
.main-slider .slider .slider-inline .slider-col .inner .slider-video .modal-instance a::before, .main-slider .slider .slider-inline .slider-col .inner .slider-video .slider-video-wrapper span::before {
    position: absolute;
    left: 50%;
    top: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    z-index: 2;
    width: 4rem;
    height: 4rem;
    font-size: 2rem;
    background: rgba(0, 0, 0, 0.3);
    text-align: center;
    line-height: 4rem;
    border-radius: 50%;
    padding-left: 0.5rem;
}
.main-slider .slider .slider-inline .slider-col .inner .slider-video .modal-instance a::after, .main-slider .slider .slider-inline .slider-col .inner .slider-video .slider-video-wrapper span::after {
    content: "";
    display: block;
    position: absolute;
    left: 50%;
    top: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    background: rgba(111, 111, 111, 0.3);
    width: 100%;
    height: 100%;
    z-index: 1;
}
.main-slider .slider .slider-inline .slider-col .inner a, .main-slider .slider .slider-inline .slider-col .inner .slider-video {
    display: block;
    position: relative;
    margin-bottom: 20px;
    transition: all 0.8s cubic-bezier(0.49, 0.46, 0.05, 0.995);
}
@media (hover: hover) and (pointer: fine) {
    .main-slider .slider .slider-inline .slider-col .inner a, .main-slider .slider .slider-inline .slider-col .inner .slider-video {
        -webkit-filter: grayscale(100%);
        filter: grayscale(100%);
    }
}
@media screen and (max-width: 575px) {
    .main-slider .slider .slider-inline .slider-col .inner a, .main-slider .slider .slider-inline .slider-col .inner .slider-video {
        margin-bottom: 10px;
    }
}
.main-slider .slider .slider-inline .slider-col .inner a .img, .main-slider .slider .slider-inline .slider-col .inner .slider-video .img {
    position: relative;
    z-index: 98;
}
.main-slider .slider .slider-inline .slider-col .inner a .img .img-obj, .main-slider .slider .slider-inline .slider-col .inner .slider-video .img .img-obj {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-position: 50%;
    background-size: cover;
    background-color: #fff;
    transition: 0.3s ease-in-out;
}
.main-slider .slider .slider-inline .slider-col .inner a:hover, .main-slider .slider .slider-inline .slider-col .inner .slider-video:hover {
    -webkit-filter: none;
    filter: none;
}

.modal-container .modal-content {
    padding: 5px;
    background-color: #E7E7E7;
    height: auto !important;
}
